Subject: bug#78053: [PATCH] Support strings for electric-pairs.

From: João Távora <[email-masked]>
Date: Sat, 24 May 2025 18:34:10 +0100

I already expressed my misgivings/opinion/ignorance about this in
bug#77823, no? Or am I figured and this a different matter altogether?

Just to clarify, electric-pair-mode already existed when I touched it and
it did some arguably interesting but not particularly stuff. I just added
the pair-based-on-syntax-while-helping-balance feature. This, as far as
I can tell, is a somewhat distinct area that isn't in my expertise.

My advice is to call Stefan.

João

On Sat, May 24, 2025, 09:51 Eli Zaretskii <[email-masked]> wrote:

> Ping!
>
> > Cc: [email-masked]
> > Date: Sat, 10 May 2025 12:21:28 +0300
> > From: Eli Zaretskii <[email-masked]>
> >
> > > Cc: João Távora <[email-masked]>
> > > From: Elijah Gabe Pérez <[email-masked]>
> > > Date: Thu, 24 Apr 2025 18:30:10 -0600
> > >
> > > As discussed in bug#77823, this feature bring support for
> > > using strings as pairs in `electric-pair-mode', the advantage is that
> > > this can be used for: Auto-close block comments, close conditional
> > > constructs such as `case esac' from bash and whatever.
> > >
> > > This is currently a working prototype (only inserts the pairs).
> > > I would like to hear some comments or suggestions of this
> implementation.
> >
> > João, any comments?
> >
> >
> >
> >
>